cgi_init(3)

NAME
cgi_init - Initialize ClearSilver CGI environment

SYNOPSIS
#include <cgi/cgi.h> NEOERR *cgi_init (CGI **cgi, HDF *hdf);

ARGUMENTS
cgi - a pointer to a CGI pointer
hdf_file - the path to an HDF data set file that will also be
loaded into the dataset. This will likely have to
a be a full path, as the HDF search paths are not
yet set up. Certain things, like

DESCRIPTION
cgi_init initializes the ClearSilver CGI environment, including creating the HDF data set. It will then import the standard CGI environment variables into that dataset, will parse the QUERY_STRING into the data set, and parse the HTTP_COOKIE into the data set. Note that if the var xdisplay is in the form data, cgi_init will attempt to validate the value and launch the configured debugger on the CGI program. These variables have to be specified in the hdf_file pointed to by hdf_file. The default settings do not allow debugger launching for security reasons.

RETURN VALUE
cgi - an allocated CGI struct, including

SEE ALSO
cgi_debug_init(3), cgi_parse(3), cgi_destroy(3), cgi_js_escape(3), cgi_html_escape_strfunc(3), cgi_register_strfuncs(3), cgi_output(3), parse_rfc2388(3), cgi_url_validate(3), open_upload(3), cgi_cs_init(3), cgi_url_escape_more(3), cgi_html_strip_strfunc(3), cgi_neo_error(3), cgi_redirect(3), cgi_filehandle(3), cgi_register_parse_cb(3), cgi_url_escape(3), cgi_init(3), cgi_redirect_uri(3), cgi_cookie_clear(3), cgi_url_unescape(3), cgi_vredirect(3), cgi_display(3), cgi_html_ws_strip(3), cgi_error(3), cgi_cookie_set(3), cgi_text_html_strfunc(3), cgi_cookie_authority